Subject: Re: [Softwires] New Version Notification for draft-mdt-softwire-map-translation-00.txt

From: Leaf yeh <[email-masked]>
Date: Fri, 13 Jan 2012 11:26:24 +0000

Comments and Questions:

1. Section 7.3 - Translating IPv6 Address and Port Number into IPv4 Address and Port Number at the BR

<quote> At the BR, the IPv4 source address MUST be derived from the IPv6 source address (IPv4-translatable address) as per BMR MAP [I-D.mdt-softwire-mapping-address-and-port].

I suppose there is no BMR at BR, BMR sounds MAP-rules at CE, right? If yes, the above 'BMR' should be FMR.

2. Section 7.4 - Translating IPv4 Address and Port Number into IPv6 Address and Port Number at the CE / IPv6 Destination Address and Destination Port Number:

<quote> If matching, the IPv6 destination address (IPv4-converted address) MUST be derived from the IPv4 destination address and the destination port number per FMR.

I guess the above 'IPv4-converted address' might be 'IPv4-translatable' address per the address type and format definition in section 7.1.

3. Section 7.5 - Translating IPv6 Address and Port Number into IPv4 Address and Port Number at the CE / IPv4 Source Address and Source Port Number:

<quote> At the CE, the IPv4 source address MUST be derived from the IPv6 source address (IPv6-converted address) as per FMR or DMR MAP [I-D.mdt-softwire-mapping-address-and-port].

I guess the above text might be 'At the CE, the IPv4 source address MUST be derived from the IPv6 source address (IPv6-converted address) as per DMR MAP or the IPv6 source address (IPv6-translatable address) as per FMR MAP.'

4. Section 7.5 - Translating IPv6 Address and Port Number into IPv4 Address and Port Number at the CE / IPv4 Destination Address and Destination Port Number:

<quote> The source port number MUST be unchanged.

I supposed the above 'source port' should be 'destination port' in the context. And in general speaking, both source port and destination port don't ever change in the MAP-T function of CE & BR, right?

Best Regards,
Leaf

-----Original Message-----
From: Wojciech Dec [mailto:[email-masked]] 
Sent: Tuesday, January 10, 2012 7:14 PM
To: [email-masked] team
Subject: FW: New Version Notification for draft-mdt-softwire-map-translation-00.txt

Hello All,

Here's version 00 of the MAP-T draft. We welcome your feedback:

http://tools.ietf.org/html/draft-mdt-softwire-map-translation-00

A new version of I-D, draft-mdt-softwire-map-translation-00.txt has been
successfully submitted by Wojciech Dec and posted to the IETF repository.

Filename:  draft-mdt-softwire-map-translation
Revision:  00
Title:   MAP Translation (MAP-T) - specification
Creation date:  2012-01-10
WG ID:   Individual Submission
Number of pages: 20

Abstract:
   This document specifies the &quot;Mapping of Address and Port&quot; (MAP)
   double stateless translation based solution (MAP-T) for providing
   IPv4 hosts connectivity to and across an IPv6 domain.

Regards,
Wojciech & Tsetuya

---

From: Congxiao Bao <[email-masked]>
Date: Thu, 19 Jan 2012 12:01:39 +0800

Hi Leaf,
Thanks for your comments. Please see in lines:

2012/1/13 Leaf yeh <[email-masked]>

> <quote> At the BR, the IPv4 source address MUST be derived from the IPv6
> source address (IPv4-translatable address) as per BMR MAP
> [I-D.mdt-softwire-mapping-address-and-port].
>

 Ok, We will sync with MAP document.

>
>
> 2. Section 7.4 - Translating IPv4 Address and Port Number into IPv6
> Address and Port Number at the CE / IPv6 Destination Address and
> Destination Port Number:
>
> <quote> If matching, the IPv6 destination address (IPv4-converted address)
> MUST be derived from the IPv4 destination address and the destination port
> number per FMR.
>
> I guess the above 'IPv4-converted address' might be 'IPv4-translatable'
> address per the address type and format definition in section 7.1.
>

In RFC6052, we defined IPv4-converted address for default mapping rule
(DMR), which includes the IPv4-translatable address used by other hosts
behind translators, defined as FMR in MAP-T, therefore we agree to change
it to IPv4-translatable address.

> 3. Section 7.5 - Translating IPv6 Address and Port Number into IPv4
> Address and Port Number at the CE / IPv4 Source Address and Source Port
> Number:
>
> <quote> At the CE, the IPv4 source address MUST be derived from the IPv6
> source address (IPv6-converted address) as per FMR or DMR MAP
> [I-D.mdt-softwire-mapping-address-and-port].
>
> I guess the above text might be 'At the CE, the IPv4 source address MUST
> be derived from the IPv6 source address (IPv6-converted address) as per DMR
> MAP or the IPv6 source address (IPv6-translatable address) as per FMR MAP.'
>
Same as above, agree.

> 4. Section 7.5 - Translating IPv6 Address and Port Number into IPv4
> Address and Port Number at the CE / IPv4 Destination Address and
> Destination Port Number:
>
> I supposed the above 'source port' should be 'destination port' in the
> context. And in general speaking, both source port and destination port
> don't ever change in the MAP-T function of CE & BR, right?
>

 Thanks. Sorry for copying error. We will correct it. Yes, in general
speaking, both source port and destination port don't ever change in the
MAP-T function of CE & BR.

Best,

Congxiao

> Subject: FW: New Version Notification for
> draft-mdt-softwire-map-translation-00.txt
>
> Hello All,
>
> _______________________________________________
> Softwires mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/softwires
>